curl --request GET \
--url https://call.aiployees.com/api/user/assistants/voices \
--header 'Authorization: Bearer <token>'[
{
"id": 1,
"name": "Alloy",
"language_id": 1,
"gender": "female",
"preview_url": "https://cdn.openai.com/API/voice-previews/alloy.flac",
"accent": null,
"age": "Middle aged",
"synthesizer_provider_id": null
},
{
"id": 10,
"name": "Zephyr",
"language_id": 1,
"gender": "female",
"preview_url": "https://gstatic.com/aistudio/voices/samples/Zephyr.wav",
"accent": null,
"age": "Middle aged",
"synthesizer_provider_id": 1
},
{
"id": 11,
"name": "Puck",
"language_id": 1,
"gender": "male",
"preview_url": "https://gstatic.com/aistudio/voices/samples/Puck.wav",
"accent": null,
"age": "Middle aged",
"synthesizer_provider_id": 1
}
]
Retrieve all available voices for assistant configuration
curl --request GET \
--url https://call.aiployees.com/api/user/assistants/voices \
--header 'Authorization: Bearer <token>'[
{
"id": 1,
"name": "Alloy",
"language_id": 1,
"gender": "female",
"preview_url": "https://cdn.openai.com/API/voice-previews/alloy.flac",
"accent": null,
"age": "Middle aged",
"synthesizer_provider_id": null
},
{
"id": 10,
"name": "Zephyr",
"language_id": 1,
"gender": "female",
"preview_url": "https://gstatic.com/aistudio/voices/samples/Zephyr.wav",
"accent": null,
"age": "Middle aged",
"synthesizer_provider_id": 1
},
{
"id": 11,
"name": "Puck",
"language_id": 1,
"gender": "male",
"preview_url": "https://gstatic.com/aistudio/voices/samples/Puck.wav",
"accent": null,
"age": "Middle aged",
"synthesizer_provider_id": 1
}
]
pipeline, multimodal, dualplexShow properties
null.null.null.[
{
"id": 1,
"name": "Alloy",
"language_id": 1,
"gender": "female",
"preview_url": "https://cdn.openai.com/API/voice-previews/alloy.flac",
"accent": null,
"age": "Middle aged",
"synthesizer_provider_id": null
},
{
"id": 10,
"name": "Zephyr",
"language_id": 1,
"gender": "female",
"preview_url": "https://gstatic.com/aistudio/voices/samples/Zephyr.wav",
"accent": null,
"age": "Middle aged",
"synthesizer_provider_id": 1
},
{
"id": 11,
"name": "Puck",
"language_id": 1,
"gender": "male",
"preview_url": "https://gstatic.com/aistudio/voices/samples/Puck.wav",
"accent": null,
"age": "Middle aged",
"synthesizer_provider_id": 1
}
]
id field as voice_id when creating or updating assistantsmode to get only voices compatible with your intended assistant typelanguage_id to get voices for a specific language